function love.load()
    --Create a 84x48 canvas. All will be rendered to the canvas, and then upscaled for easier viewing
    canvasWidth = 84
    canvasHeight = 48
    canvas = love.graphics.newCanvas(canvasWidth,canvasHeight)
    --Change filtering on the canvas to allow for pixel perfect scaling
    canvas:setFilter("nearest", "nearest")
    --Used to scale the canvas to the actual window size
    scaleFactor = 8
    
    --Set window size
    windowWidth = scaleFactor*canvasWidth
    windowHeight = scaleFactor*canvasHeight
    love.window.setMode(windowWidth, windowHeight)

    --Color definitions for 2 color palette
    colorLight = {199/255, 240/255, 216/255} --#c7f0d8
    colorDark = {67/255, 82/255, 61/255} --#43523d
end

function love.update(dt)
end

function love.draw()
    --Draw to the canvas
    love.graphics.setCanvas(canvas)
        love.graphics.clear()
        love.graphics.setColor(colorDark[1], colorDark[2], colorDark[3])
        love.graphics.rectangle("fill", 0, 0, canvasWidth, canvasHeight)
        --love.graphics.setColor(colorLight[1], colorLight[2], colorLight[3])
        --love.graphics.rectangle("fill",44,0,44,48)
    
    --Point back to the main draw area (i.e. not at the canvas)
    love.graphics.setCanvas()

    --Draw the scaled canvas to the screen
    love.graphics.draw(canvas, 0, 0, 0, scaleFactor, scaleFactor)
end